function[]=zDrawCircleNetwork(Links,Lambdamu,Lambdasig,Edges, Satisfied)

E=length(Links);
N=length(Lambdamu);

for i=1:N
    a=360/N;
    b=(180-a)/2;
    c=90-b;
    
    xNode(i)=sind(a*(i-1));
    yNode(i)=cosd(a*(i-1));

    figure(1)
    t{1}=['\Lambda=' num2str(Lambdamu(i),'%3.1f')];
    t{2}=['\sigma =' num2str(Lambdasig(i),'%3.1f')];
    if i<N/2+1
        h=text(xNode(i)*1.2,yNode(i)*1.2,t);
        set(h,'rotation',90-a*(i-1),'FontSize',12,'FontName','Times New Roman')
    else
        h=text(xNode(i)*1.7,yNode(i)*1.7,t);
        set(h,'rotation',270-a*(i-1),'FontSize',12,'FontName','Times New Roman')
    end
end
hold on 
%90+a*(i-1)
xLink=xNode(Links);
yLink=yNode(Links);

plot(xLink,yLink,'k');

plot(xNode,yNode,'o','MarkerSize',10,'MarkerFaceColor',[0.8 0 0.8],'MarkerEdgeColor','k');


axis([-2 2 -2 2]);

if nargin>3
    figure(2)
plot(xLink,yLink,'k');
hold on
plot(xNode,yNode,'o','MarkerSize',10,'MarkerFaceColor',[0.8 0 0.8],'MarkerEdgeColor','k');
axis([-2 2 -2 2]);
    
for i=1:E
    if Edges(i,3)==0
    elseif Edges(i,3)>0
        d=quiver(xLink(1,i),yLink(1,i),(xLink(2,i)-xLink(1,i)),yLink(2,i)-yLink(1,i),0.91,'linewidth',2,'color',[0.8 0 0.8]);
    else
        d=quiver(xLink(2,i),yLink(2,i),(xLink(1,i)-xLink(2,i)),yLink(1,i)-yLink(2,i),0.91,'linewidth',2,'color',[0.8 0 0.8]);
    end
end

% for i=1:E
%     abs(Edges(i,3))
%     u{1}=['y_', num2str(Links(1,i)), '_' num2str(Links(2,i)), '=' num2str(abs(Edges(i,3)),3)];
%     h=text((xLink(1,i)*1/2+xLink(2,i)*1/2)-0.2,(yLink(1,i)*1/2+yLink(2,i)*1/2),u);
%     set(h,'FontSize',12,'FontName','Times New Roman')
% %'rotation',atand((yLink(2,i)-yLink(1,i))/(0.0001+xLink(2,i)-xLink(1,i))),
% end


end

if nargin>4

    for i=1:N
    figure(3)
    v{1}=['r =' num2str(Satisfied(i),3)];
    if i<N/2+1
        h=text(xNode(i)*1.2,yNode(i)*1.2,v);
        set(h,'rotation',90-a*(i-1),'FontSize',12,'FontName','Times New Roman')
    else
        xNode(i)
        h=text(xNode(i)*1.7,yNode(i)*1.7,v);
        set(h,'rotation',270-a*(i-1),'FontSize',12,'FontName','Times New Roman')
    end
end
hold on 

plot(xLink,yLink,'k');

plot(xNode,yNode,'o','MarkerSize',10,'MarkerFaceColor',[0.8 0 0.8],'MarkerEdgeColor','k');


axis([-2 2 -2 2]);
end    